library ac_dart.example.descriptor;

import 'package:atlassian_connect_host/atlassian_connect_host.dart';

ConnectAddon createAddon(AddonHost host) {
  return new ProductlessConnectAddon(
    key: host.key,
    name: "My Addon",
    baseUrl: host.baseUrl,
    authentication: new Authentication(type: AuthenticationType.JWT),
    lifecycle: new Lifecycle(
        installedStr: '/installed' 
    ),
    modules: new CoreModuleList(
      webItems: [
        new WebItem(
          key: 'my-webitem',
          name: new I18nProperty(
              value: 'My Web Item'
          ),
          urlStr: '/foo?projectid={project.id}',
          location: 'system.top.navigation.bar'
        )
      ],
      configurePage: new Page(
          key: "my-configure-page",
          name: new I18nProperty(value: 'My Mindblowing Configure Page'),
          urlStr: "/hello-world"
      )
    )
  );
}
