// Copyright (c) 2014, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

library ac_dart.util;

import 'dart:async';


import 'package:path/path.dart' as p;
import 'dart:io';


Future syncFuture(callback()) => new Future.sync(callback);

final String _appRootDir =
  p.normalize(p.join(p.dirname(Platform.script.toFilePath()), '..'));

String pathRelativeToAppRoot(String path) {
  return p.isAbsolute(path) ? path : p.join(_appRootDir, path);
}

File fileRelativeToAppRoot(String path) =>
    new File(pathRelativeToAppRoot(path));
